Subject: bug#12327: Signal-handler cleanup for Emacs

From: Paul Eggert <[email-masked]>
Date: Fri, 07 Sep 2012 01:59:20 -0700

On 09/07/2012 01:27 AM, Eli Zaretskii wrote:
> Should be fixed with trunk revision 109919.

Thanks, I looked for other problems of that ilk and fixed
them in trunk bzr 109921.

> (Why are there still calls to 'signal', as opposed to 'sigaction', in
> some parts of Emacs?)

Thanks for catching that.  Three of them were wrong -- a glitch when
merging patches.  Fixed in trunk bzr 109922.

The other calls are setting signal handlers to SIG_DFL or SIG_IGN.
For these, signal and sigaction do the same thing, so I left the
calls alone, to minimize changes.  If it's better, for regularity
purposes, to replace these 'signal' calls with 'sigaction' calls,
that's an easy and simple change that I can do.